Bug 122983 - ne2k-pci always came up as eth0
Summary: ne2k-pci always came up as eth0
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-10 23:25 UTC by Marek Kassur
Modified: 2014-03-17 02:45 UTC (History)
1 user (show)

Fixed In Version: 1.1.68-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 21:12:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new kudzu package (376.03 KB, application/octet-stream)
2004-05-24 21:48 UTC, Bill Nottingham
no flags Details

Description Marek Kassur 2004-05-10 23:25:13 UTC
Description of problem:
When plug-in CompexRL2000 to i815 motherboard with e100 NIC on-board,
card is detected and configured, but then ne2k-pci came up with e100
settings (IP address). Problem only appear with two or more
NICs, when one of them is ne2k-pci. I tested my system with 3 NICs
adding one by one. When I add pcnet32 everything seems to be ok.
modprobe.conf:
alias eth0 e100
alias eth1 pcnet32

dmesg:
e100: eth0: e100_probe: addr 0xff8fe000, irq 11, MAC addr
00:03:47:12:35:AA
e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
                           ^^^
pcnet32: PCnet/PCI II 79C970A at 0xdf80, warning: CSR address invalid,
    using instead PROM address of 08 00 06 08 47 37 assigned IRQ 11.
eth1: registered as PCnet/PCI II 79C970A
pcnet32: 1 cards_found.

Then I plug-in ne2k-pci (not connected to hub).
modprobe.conf looks sane for me as well:
alias eth0 e100
alias eth1 pcnet32
alias eth2 ne2k-pci

But dmesg:
eth0: Compex RL2000 found at 0xdf80, IRQ 10, 00:80:48:C2:70:32.
eth1: registered as PCnet/PCI II 79C970A
e100: eth2: e100_probe: addr 0xff8f6000, irq 11, MAC addr
00:03:47:12:35:AA
...
NETDEV WATCHDOG: eth0: transmit timed out
eth0: Tx timed out, cable problem? TSR=0x0, ISR=0x0, t=397.
NETDEV WATCHDOG: eth0: transmit timed out
eth0: Tx timed out, cable problem? TSR=0x0, ISR=0x0, t=553.
NETDEV WATCHDOG: eth0: transmit timed out
...

eth2 refuses to came up:
#ifup eth2
cannot change name of eth1 to eth2: Device or resource busy
interface 'eth0' not found
Device eth2 has different MAC address than expected, ignoring

Although I can manually setup my network properly removing network
modules first and then using ifconfig, it works till next reboot.


Version-Release number of selected component (if applicable):
kernel-2.6.5-1.327 -1.349 -1.353 -1.356
modutils-2.4.26-16
initscripts-7.53-1

How reproducible:
Always

Steps to Reproduce:
1. Plug-in ne2k-pci card to installed (updated) system FC2 Test3
2. ne2k-pci is always reported as eth0

Comment 1 Bill Nottingham 2004-05-21 20:56:31 UTC
What does your /etc/sysconfig/network-scripts/ifcfg-* look like?

What does 'ethtool -i eth0' for the ne2k-pci say?

Comment 2 Marek Kassur 2004-05-21 21:42:51 UTC
cat /etc/sysconfig/network-scripts/ifcfg-eth0
# Intel Corp.|82801BA/BAM/CA/CAM Ethernet Controller
DEVICE=eth0
BOOTPROTO=static
BROADCAST=192.168.0.255
HWADDR=00:03:47:12:35:AA
IPADDR=192.168.0.2
NETMASK=255.255.255.0
NETWORK=192.168.0.0
ONBOOT=yes
TYPE=Ethernet

cat /etc/sysconfig/network-scripts/ifcfg-eth1
# Compex|ReadyLink 2000
DEVICE=eth1
ONBOOT=yes
BOOTPROTO=static
IPADDR=10.0.0.1
NETMASK=255.0.0.0
HWADDR=00:80:48:C2:70:32

ethtool -i eth0
driver: ne2k-pci
version: 1.03
firmware-version:
bus-info: 0000:01:0a.0

ethtool -i eth1
Cannot get driver information: No such device


Comment 3 Bill Nottingham 2004-05-21 21:59:44 UTC
What happens if you create an ifcfg-eth2 for the ne2k-pci card with
that hardware address in it?

Comment 4 Marek Kassur 2004-05-21 23:21:27 UTC
I'am not sure which address, could you precise what you mean.
Please take a look at my #10 and #14 comment to Bug 120289.



Comment 5 Marek Kassur 2004-05-22 13:46:20 UTC
New scenario. After disabling kudzu I can setup e100 and ne2k-pci
using system-config-network, both came up after reboot as well, it
works as long as kudzu is disabled. 

Maybe still kudzu bug ?


Comment 6 Bill Nottingham 2004-05-24 16:51:07 UTC
I mean create an ifcfg-eth2 that has:

DEVICE=eth2
BOOTPROTO=<whatever>
HWADDR=<the mac address of your ne2k-pci card>

Comment 7 Marek Kassur 2004-05-24 19:50:24 UTC
It works only without kudzu (i.e. when kudzu is disabled in initscripts).

I think that kudzu always modprobe an ne2k-pci as eth0 and leave it
that way confusing ifcfg-eth0 which can't use real eth0 anymore.


Comment 8 Bill Nottingham 2004-05-24 20:24:22 UTC
Does ne2k-pci remove correctly once you load it?

Comment 9 Marek Kassur 2004-05-24 21:05:57 UTC
Yes, I can remove it cleanly, but:

#rmmod ne2k-pci
#rmmod rmmod 8390
#rmmod e100
#lsmod | grep ne2k
#lsmod | grep e100
#kudzu
#lsmod | grep ne2k
ne2k_pci                7136  0
8390                    6912  1 ne2k_pci
#lsmod | grep e100
#tail /var/log/messages
May 24 22:42:05 localhost kernel: ne2k-pci.c:v1.03 9/22/2003 D.
Becker/P. Gortmaker
May 24 22:42:05 localhost kernel:  
http://www.scyld.com/network/ne2k-pci.html
May 24 22:42:05 localhost kernel: eth0: Compex RL2000 found at 0xdf80,
IRQ 11, 00:80:48:C2:70:32.
May 24 22:42:05 localhost kernel: e100: Intel(R) PRO/100 Network
Driver, 3.0.17
May 24 22:42:05 localhost kernel: e100: Copyright(c) 1999-2004 Intel
Corporation
May 24 22:42:05 localhost kernel: e100: eth1: e100_probe: addr
0xff8f7000, irq 11, MAC addr 00:03:47:12:35:AA

Comment 10 Bill Nottingham 2004-05-24 21:08:49 UTC
Hm, it should be getting unloaded.

Comment 11 Marek Kassur 2004-05-24 21:17:45 UTC
Maybe some problem with parsing "-" and "_" in the name ?

Comment 12 Bill Nottingham 2004-05-24 21:29:25 UTC
$&@&$@. Got fixed in one place but not both. Will be fixed in 1.1.68-1.

Comment 13 Bill Nottingham 2004-05-24 21:48:53 UTC
Created attachment 100520 [details]
new kudzu package

Please try the attached.

Comment 14 Marek Kassur 2004-05-24 22:02:08 UTC
It's OK now :-)


Comment 15 Bill Nottingham 2004-05-25 15:59:06 UTC
Reopening, this will get pushed as an update in the next few days.

Comment 16 Bill Nottingham 2004-08-27 22:42:31 UTC
Please try the test RPMS at:

http://people.redhat.com/notting/kudzu/

Comment 17 Marek Kassur 2004-08-31 21:43:19 UTC
That one works too.


Note You need to log in before you can comment on or make changes to this bug.